Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1060339 - oo-admin-ctl-domain should ignore blacklist
Summary: oo-admin-ctl-domain should ignore blacklist
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Pod
Version: 2.x
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Ravi Sankar
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-31 20:48 UTC by Andy Grimm
Modified: 2016-11-08 03:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-12 03:06:37 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Andy Grimm 2014-01-31 20:48:49 UTC
Description of problem:

The domain blacklist exists to reserve a set of trademarked domain namespaces in openshift online for use by Red Hat.  The oo-admin-ctl-domain command should ignore the blacklist so that these can be assigned.

Version-Release number of selected component (if applicable):

rhc-broker-1.19.7-1.el6oso.noarch

How reproducible:

always

Steps to Reproduce:
1. choose a domain in the blacklist and run:  oo-admin-ctl-domain -c create -n <domain> -l <login>

Actual results:

An error occurred during domain creation. Errors: {:namespace=>["Namespace is not allowed.  Please choose another."]}

Expected results:

Successfully created domain.

Additional info:

Operations worked around this temporarily by making a copy of /var/www/openshift/broker , modifying lib/online/broker/mcollective_ext.rb and pointing oo-admin-ctl-domain to the modified path.

Comment 1 Ravi Sankar 2014-02-10 18:25:36 UTC
Fixed in https://github.com/openshift/origin-server/pull/4700

Comment 2 openshift-github-bot 2014-02-11 00:15:33 UTC
Commit pushed to master at https://github.com/openshift/li

https://github.com/openshift/li/commit/6183df2bb9128db28682b4734bfd1e5d2156e213
Merge pull request #2363 from pravisankar/dev/ravi/bug1060339

Merged by openshift-bot

Comment 3 openshift-github-bot 2014-02-11 00:15:37 UTC
Commits pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/9540cd84650b1fa7fd224e081aa2a8d330dba878
Bug 1060339 - Move blacklisted check for domain/application to the controller layer. oo-admin-ctl-domain/oo-admin-ctl-app will use domain/application model and will be able to create/update blacklisted name.

https://github.com/openshift/origin-server/commit/8ff76d7df8ac93b0f7bd4bdc5b902bb6e01f8f55
Merge pull request #4700 from pravisankar/dev/ravi/bug1060339

Merged by openshift-bot

Comment 4 Jianwei Hou 2014-02-11 05:29:41 UTC
Verified on devenv_4356, domain names that are blacklisted can be created with oo-admin-ctl-domain.


Note You need to log in before you can comment on or make changes to this bug.